Bug 16830 - koha-indexer still uses the deprecated -x option switch
Summary: koha-indexer still uses the deprecated -x option switch
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on: 16506
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-28 22:40 UTC by Tomás Cohen Arazi
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16930: Remove -x usage on koha-indexer (1.61 KB, patch)
2016-06-28 22:45 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 16830: (followup) Remove weird character from warning in rebuild_zebra.pl (874 bytes, patch)
2016-06-28 22:45 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 16830: Remove -x usage on koha-indexer (1.66 KB, patch)
2016-07-18 21:50 UTC, Mark Tompsett
Details | Diff | Splinter Review
Bug 16830: (followup) Remove weird character from warning in rebuild_zebra.pl (926 bytes, patch)
2016-07-18 21:50 UTC, Mark Tompsett
Details | Diff | Splinter Review
Bug 16830: Remove -x usage on koha-indexer (1.73 KB, patch)
2016-08-01 15:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16830: (followup) Remove weird character from warning in rebuild_zebra.pl (1000 bytes, patch)
2016-08-01 15:49 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-06-28 22:40:02 UTC
To reproduce:
- Run
  $ sudo koha-indexer --start kohadev
=> FAIL: You get a warning on your logs (/var/log/koha/kohadev/indexer-output.log:
Warning: You passed -x which is already the default and is now deprecated
Comment 1 Tomás Cohen Arazi 2016-06-28 22:45:52 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2016-06-28 22:45:55 UTC Comment hidden (obsolete)
Comment 3 Mark Tompsett 2016-07-18 21:50:51 UTC Comment hidden (obsolete)
Comment 4 Mark Tompsett 2016-07-18 21:50:59 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-08-01 15:49:54 UTC
Created attachment 53844 [details] [review]
Bug 16830: Remove -x usage on koha-indexer

This patch just does that, and removes it from the comment on /etc/default/koha-common

To test:
- Apply the patch
- Run:
  $ vagrant ssh ; cd kohaclone
  $ sudo debian/scripts/koha-indexer --stop kohadev
  $ sudo debian/scripts/koha-indexer --start kohadev
=> SUCCESS: Verify no warning is shown on the indexer-output.log file
- Sign off

https://bugs.koha-community.org/show_bug.cgi?id=16830

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2016-08-01 15:49:57 UTC
Created attachment 53845 [details] [review]
Bug 16830: (followup) Remove weird character from warning in rebuild_zebra.pl

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Brendan Gallagher 2016-08-04 19:42:21 UTC
Pushed to Master - Should be in the November 2016 release.  Thanks!
Comment 8 Frédéric Demians 2016-08-05 06:24:46 UTC
Does it apply to 16.05 branch?
Comment 9 Tomás Cohen Arazi 2016-08-05 10:18:46 UTC
(In reply to Frédéric Demians from comment #8)
> Does it apply to 16.05 branch?

Yes, as long as bug 16506 has been pushed already.
Comment 10 Frédéric Demians 2016-08-05 10:50:46 UTC
Pushed in 16.05. Will be in 16.05.03.